post
https://api-v3.authenticating.com/mock/identity/v2/document/scan
This mimics the Upload ID V2.
There are two possible scenarios which are covered in the mock APIs with userAccessCodes 100385a1-4308-49db-889f-9a898fa88c21, 2d91a19f-d07b-48f0-912f-886ed67009dd, 26682cb8-d672-4e0a-a26d-3b9a7cafab64, a423efc3-f12d-4f85-92a6-2a35129c5285 and 9cg686b3-ccb3-497c-a298-3830ea8a1c96.
Recent Requests
Log in to see full request history
| Time | Status | User Agent | |
|---|---|---|---|
Retrieving recent requests⦠| |||
Loadingā¦
This endpoint mimics the Upload ID V2 and returns preset responses based on the userAccessCode sent. The images must be sent as idFront and idBack files using multipart/form-data. No scan is run and no webhook is sent.
| userAccessCode | Status | Response |
|---|---|---|
100385a1-4308-49db-889f-9a898fa88c21 | 400 | IDENTITY_ID_ALREADY_COMPLETED, the ID is already verified for this user. |
2d91a19f-d07b-48f0-912f-886ed67009dd, 26682cb8-d672-4e0a-a26d-3b9a7cafab64, a423efc3-f12d-4f85-92a6-2a35129c5285 and 9cg686b3-ccb3-497c-a298-3830ea8a1c96 | 202 | Scan started with result as in_progress. |
The image checks work the same as the real API, so a missing image, an image larger than 5MB, an image that is not a JPG, JPEG or PNG, or two images of different formats will return a 400.
